#ifndef DefaultApiEtsi_H_
#define DefaultApiEtsi_H_



#include <pistache/endpoint.h>
#include <pistache/http.h>
#include <pistache/router.h>
#include <memory>
#include <optional>
#include <DefaultApi.h>

namespace etsi
{

class DefaultApiEtsi : public org::openapitools::server::api::DefaultApi {
public:
    explicit DefaultApiEtsi(const std::shared_ptr<Pistache::Rest::Router>& rtr);
    ~DefaultApiEtsi() override = default;

    void get_version(Pistache::Http::ResponseWriter &response);
    void ping_get(Pistache::Http::ResponseWriter &response);

};

}


#endif
